net.sf.jasperreports.engine.virtualization

## Class VirtualizationInput

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - net.sf.jasperreports.engine.virtualization.VirtualizationInput

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants, java.lang.AutoCloseable

      public class VirtualizationInput
      extends java.io.ObjectInputStream

  Version:
    $Id: VirtualizationInput.java 6526 2013-09-18 16:10:52Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.io.ObjectInputStream

      `java.io.ObjectInputStream.GetField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualizationInput(java.io.InputStream in, VirtualizationSerializer serializer, JRVirtualizationContext virtualizationContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRVirtualizationContext` | `getVirtualizationContext()`
    `protected void` | `putReference(int typeValue, java.lang.Object value)`
    `protected java.io.ObjectStreamClass` | `readClassDescriptor()`
    `int` | `readIntCompressed()`
    `java.lang.Object` | `readJRObject()`
    `java.lang.Object` | `readJRObject(java.lang.Boolean storeReference)`
    `protected java.lang.Class<?>` | `resolveClass(java.io.ObjectStreamClass desc)`
    `protected java.lang.Object` | `resolveReference(int typeValue, int objectIndex)`

    - ### Methods inherited from class java.io.ObjectInputStream

      `available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectInput

      `read, skip`

- - ### Constructor Detail

    - #### VirtualizationInput

          public VirtualizationInput(java.io.InputStream in,
                             VirtualizationSerializer serializer,
                             JRVirtualizationContext virtualizationContext)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getVirtualizationContext

          public JRVirtualizationContext getVirtualizationContext()

    - #### resolveClass

          protected java.lang.Class<?> resolveClass(java.io.ObjectStreamClass desc)
                                             throws java.io.IOException,
                                                    java.lang.ClassNotFoundException

      Overrides:
        `resolveClass` in class `java.io.ObjectInputStream`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### readClassDescriptor

          protected java.io.ObjectStreamClass readClassDescriptor()
                                                           throws java.io.IOException,
                                                                  java.lang.ClassNotFoundException

      Overrides:
        `readClassDescriptor` in class `java.io.ObjectInputStream`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### readIntCompressed

          public int readIntCompressed()
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readJRObject

          public java.lang.Object readJRObject()
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readJRObject

          public java.lang.Object readJRObject(java.lang.Boolean storeReference)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### resolveReference

          protected java.lang.Object resolveReference(int typeValue,
                                          int objectIndex)

    - #### putReference

          protected void putReference(int typeValue,
                          java.lang.Object value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com